---
{%- from "vector/map.jinja" import vector with context %}
vector-default:
  file.managed:
    - name: /etc/default/vector
    - source: salt://vector/templates/vector.default.j2
    - user: {{ vector.user.name }}
    - group: {{ vector.group.name }}
    - mode: 600
    - template: jinja

vector-var-dir:
  file.directory:
    - name: /var/lib/vector
    - user: {{ vector.user.name }}
    - group: {{ vector.group.name }}
    - mode: 755
    - watch_in:
      - service: vector-service

vector-config-dir:
  file.directory:
    - name: /etc/vector
    - user: {{ vector.user.name }}
    - group: {{ vector.group.name }}
    - mode: 700
    - watch_in:
      - service: vector-service

vector-config-file:
  file.managed:
    - name: /etc/vector/vector.yaml
    - source: salt://vector/templates/vector.yaml.j2
    - user: {{ vector.user.name }}
    - group: {{ vector.group.name }}
    - mode: 600
    - template: jinja
    - watch_in:
      - service: vector-service
